# Get a List of TOE PDF Reports Ordered
source: https://developer.mastercard.com/riskrecon-api/documentation/testing/toe-pdf-rep-samples/retrve-toe-rep-smpl/index.md

Allows you to retrieves a list of all the TOE PDF reports you have requested for in the last 24 hours.

## Pre-requisites {#pre-requisites}

Refer to the [Retrieve a List of TOE PDF Reports Ordered](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/retrve-toe-reps/index.md) use case.

## Request URL for Sandbox environment {#request-url-for-sandbox-environment}

    GET https://api.sandbox.riskrecon.com/v1/toe_reports

## Request URL for Production environment {#request-url-for-production-environment}

    GET https://api.riskrecon.com/v1/toe_reports

## Test Cases {#test-cases}

### Test Case: Success - Retrieve a list of all active TOE PDF reports {#test-case-success---retrieve-a-list-of-all-active-toe-pdf-reports}

**Request**

Here is an example of a request made to retrieve a list of all active TOE PDF reports.

```bash
curl -X 'GET' \
  'https://api.sandbox.riskrecon.com/v1/toe_reports' \
  -H 'accept: application/json' \
  -H 'Authorization: valid_JWT_token'
```

**Response**

get:

HTTP response 200

```json
[
        {
            "analysis_id": 40791574,
            "report_key": "detailed-report-Some Company-Inc.-40791574-2024-1-30:8-14-28.pdf",
            "request_id": 2,
            "status": "pending",
            "toe_id": "09918d09-8d52-4e86-a3ec-5ef4d461e2ba",
            "toe_name": "Some Company Inc."
        },
        {
            "analysis_id": 40791574,
            "report_key": "executive-report-Some Company-Inc.-40791574-2024-1-30:8-11-3.pdf",
            "request_id": 1,
            "status": "downloaded",
            "toe_id": "09918d09-8d52-4e86-a3ec-5ef4d461e2ba",
            "toe_name": "Some Company Inc."
        },
        {
            "analysis_id": 40791574,
            "report_key": "summary-report-Some Company-Inc.-40791574.-2024-1-29:8-30-1.pdf",
            "request_id": 41,
            "status": "pending",
            "toe_id": "09918d09-8d52-4e86-a3ec-5ef4d461e2ba",
            "toe_name": "Some Company Inc."
    }
    ]
```

### Test Case: Fail - Non-existent TOE ID {#test-case-fail---non-existent-toe-id}

**Request**

Here is an example of a request made with an invalid TOE ID using a `curl` command.

```bash
curl -X 'POST' \
  'https://api.sandbox.riskrecon.com/v1/toe_reports' \
  -H 'accept: application/json' \
  -H 'Authorization: valid_JWT_token' \
  -H 'Content-Type: application/json' \
  -d '{
        "toe_id": "09918d09-8d52-4e8",
        "report_type": "detailed-report"
    
}'
```

**Response**

HTTP Error Response 404

```json
{
    "Errors": {
        "Error": [
            {
                "Description": "Resource Not found.",
                "Details": null,
                "ReasonCode": "NOT_FOUND",
                "Recoverable": false,
                "Source": "RISKRECON_API"
            }
        ]
    }
}
```

